/*
	Chapter 7
	Time-dependent poisson model with monthly split times
*/
version 11.0
set more off
clear
use ew_breast_ch7

stset survtime, failure(dead==1) exit(time 5) id(ident)
stsplit split_time, every(`=1/12')
gen risktime = _t - _t0
collapse (min) start=_t0 (max) end=_t (count) n=_d (sum) risktime _d, ///
	by(dep5 split_time)
egen interval = group(split_time)
recode start (min/1 = 1) (1/2 = 2) (2/max=3), gen(td_int)
glm _d ibn.interval i.td_int#i1.dep5, family(poisson) ///
	lnoffset(risktime) nolog nocons noheader eform
set more on
