/*
	Chapter 7
	Time dependent poisson models - yearly splits
*/
version 11.0
set more off
clear
use ew_breast_ch7

stset survtime, failure(dead==1) exit(time 5) id(ident)
stsplit split_time, every(1)
gen risktime = _t - _t0
collapse (min) start=_t0 (max) end=_t (count) n=_d (sum) risktime _d, ///
	by(split_time dep5)

glm _d ibn.split_time dep5, family(poisson) lnoffset(risktime) ///
	nocons nolog eform noheader
estimates store poiss_ph

glm _d ibn.split_time ibn.split_time#dep5, family(poisson) ///
	lnoffset(risktime) nocons nolog eform noheader
estimates store poiss_tvc

lrtest poiss_ph poiss_tvc
set more on
