/*
	Chapter 8
	strs for relative survival
*/
version 11.0
set more off
clear
use ew_breast_ch8

/* Estimation of life tables in youngest and oldest age groups */
stset survtime, failure(dead==1) exit(time 5) id(ident)
strs using popmort_uk if inlist(agegroup,1,5), ///
	breaks(0(1)5) noshow ///
	diagage(agediag) diagyear(yeardiag) ///
	attage(age) attyear(year) ///
	mergeby(sex  region  dep  year  age) ///
	survprob(survprob) ///
	by(agegroup) ///
	list(end n d p p_star r cp cp_e2 cr_e2) 

/* save estimates for comparing with RP models */
strs using popmort_uk, ///
			breaks(0(1)5) noshow ///
			diagage(agediag) diagyear(yeardiag) ///
			attage(age) attyear(year) ///
			mergeby(sex  region  dep  year  age) ///
			survprob(survprob) ///
			by(agegroup) ///
			list(end n d p p_star r cp cp_e2 cr_e2) ///
			notables savgroup(breast_rs_lifetable)

use "breast_rs_lifetable", clear
keep end cr_e2 agegroup
rename end end_e2  
rename agegroup agegroup_e2
save "breast_rs_lifetable", replace
set more on
